<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Overview: librygel-db Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="librygel-db Reference Manual">
<link rel="up" href="index.html" title="librygel-db Reference Manual">
<link rel="prev" href="index.html" title="librygel-db Reference Manual">
<link rel="next" href="api-main-list-c.html" title="librygel-db API Reference">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts"></td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><img src="up-insensitive.png" width="16" height="16" border="0"></td>
<td><a accesskey="p" href="index.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="api-main-list-c.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="preface">
<div class="titlepage"><div><div><h1 class="title">
<a name="overview"></a>Overview</h1></div></div></div>
<div class="section">
<div class="titlepage"></div>
<p>
librygel-db is part of the <a class="ulink" href="http://rygel-project.org/" target="_top">Rygel</a> project.
</p>
<p>
librygel-db is a small wrapper around SQLite3 used in several plugin implementations.
</p>
<p>
librygel-db is licensed under the GNU Lesser General Public License (LGPL).
</p>
<div class="sect1">
<div class="titlepage"><div><div><h2 class="title" style="clear: both">
<a name="id-1.2.2.4"></a>Basic Usage</h2></div></div></div>
<p>
Include the header:
</p>
<p>
</p>
<pre class="programlisting">
#include &lt;rygel-db.h&gt;
</pre>
<p>
</p>
<p>
If your source file is program.c, you can compile it with:
</p>
<p>
<span class="command"><strong>
gcc program.cc -o program `pkg-config --cflags --libs rygel-db-2.6`
</strong></span>
</p>
<p>
Alternatively, if using autoconf, use the following in configure.ac:
</p>
<p>
</p>
<pre class="programlisting">
PKG_CHECK_MODULES([DEPS], [rygel-db-2.6])
</pre>
<p>
</p>
<p>
Then use the generated DEPS_CFLAGS and DEPS_LIBS variables in the project Makefile.am files. For example:
</p>
<p>
</p>
<pre class="programlisting">
program_CPPFLAGS = $(DEPS_CFLAGS)
program_LDADD = $(DEPS_LIBS)
</pre>
<p>
</p>
</div>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>